<?php
/**
 * Select Images according to Category saved.
 *
 * @since Web_Diary 1.0.0
 *
 * @param null
 * @return null
 *
 */
if ( !function_exists('webdiary_slider_images_selection') ) :
    function webdiary_slider_images_selection() 
    { 
          global $webdiary_theme_options;


          $category_name=$webdiary_theme_options['webdiary-feature-cat'];
                       
          $args = array( 'cat' =>$category_name , 'posts_per_page' => -1 );

          $query = new WP_Query($args);

          if($query->have_posts()):

            while($query->have_posts()):

             $query->the_post();
             if(has_post_thumbnail())
                {

                     $image_id = get_post_thumbnail_id();
                     $image_url = wp_get_attachment_image_src($image_id,'banner-slider',true);
?> 
                     <div>
                        <a href="<?php the_permalink(); ?>"><img src="<?php echo esc_url($image_url[0]);?>" alt=""></a>
                        <span><?php the_title(); ?></span>
                    </div>
            

 <?php 
                }
            endwhile; endif;wp_reset_query();
   }
endif;



/**

 * Dynamic css

  * @package Paragon Themes

 * @subpackage Newie

 *

 * @param null

 * @return void

 *

 */

if ( !function_exists('webdiary_dynamic_css') ):

    function webdiary_dynamic_css(){

    $webdiary_theme_options  = webdiary_get_theme_options();
   
   /*====================Basic Color=====================*/

    $webdiary_primary_color     = $webdiary_theme_options['primary_color'];
    
  
   $custom_css = '';

/*====================Primary Color =====================*/

$custom_css .= " .site-title a, .main-navigation ul li.current-menu-item a, a:visited, a:hover, a:focus, a:active, a, .main-navigation ul li a:hover  
                  {

                      color: " . $webdiary_primary_color . ";

                   }

                  ";

$custom_css .= " .nav-links .nav-previous a, .nav-links .nav-next a, button, input[type='button'], input[type='reset'], input[type='submit']

                  {

                      background: " . $webdiary_primary_color . ";

                   }

                  ";  

$custom_css .= " #secondary .widget-title:before

                  {

                      border-color: " . $webdiary_primary_color . ";

                   }

                  ";  

$custom_css .= " .main-navigation li::after

                  {

                      border-right: " . $webdiary_primary_color . ";

                   }

                  ";                    
                                                



    /*------------------------------------------------------------------------------------------------- */
    /*custom css*/
 
    wp_add_inline_style('webdiary-style', $custom_css);

}

endif;

add_action('wp_enqueue_scripts', 'webdiary_dynamic_css', 99);

